package Modules::AddToAny;
use strict;
use ExSite::Config;
use ExSite::Misc;

use Modules::BaseDCD;
use  base qw(Modules::BaseDCD);

sub ioctl {
	my $this = shift;
	$_ = shift;
	if (/ModuleName/) {
		return "AddToAny";
	}elsif (/ModuleInfo/) {
		return "Link sharing tool";
	}
}
sub write{
	# Parameter:
	#	linkname: link name 
	#	linkurl: url
	my ($this,$options) = @_;
	my %param = &DecodeString($options);
	my %data = (
		protocol=>$config{server}{protocol},
		linkname=>"",
		linkurl=>"",
	);
	# Get url from parameter
	if ($param{linkurl}){
		$data{linkname} = $param{linkname};
		$data{linkurl} = $param{linkurl};
	}
	my $content;
	if ($data{linkurl}){
		$content = <<END;
<script type="text/javascript">
var a2a_config = a2a_config || {};
a2a_config.linkname = "[[linkname]]";
a2a_config.linkurl = "[[linkurl]]";
</script>
END
	}
	$data{linkname} = &html_escape($data{linkname});
	my $template = <<END;
<div id="AddToAny">
<a class="a2a_dd" href="[[protocol]]://www.addtoany.com/share_save?linkurl=[[linkurl]];linkname=[[linkname]]"><img src="[[protocol]]://static.addtoany.com/buttons/share_save_120_16.gif" width="120" height="16" border="0" alt="Share/Bookmark"/></a>
$content
<script type="text/javascript" src="[[protocol]]://static.addtoany.com/menu/page.js"></script>
</div>
END
	return &substitute($template,\%data);
}
1;
